Home | All Classes | Grouped Classes | Index | Search

# Class CL_OutlineProviderFile

File outline provider is used to load precompiled outlines. More...

Derived from: CL_OutlineProvider
Derived by: none
Group: Display (Collision)

#include <ClanLib/display.h>

Construction:

CL_OutlineProviderFile | Construct a outline provider

Attributes:

get_contours | return the countours that make up the outline
get_width | Not used for file provider. Returns -1.
get_height | Not used for file provider. Returns -1.

Detailed description:

!group=Display/Collision ! !header=display.h!

A CL_OutlineProviderFile is used to load precompiled outlines.

Questions or comments, write to the ClanLib mailing list.